# StoredSimulationData

class `propertyestimator.storage.dataclasses.``StoredSimulationData`

  A representation of data which has been cached from a single previous simulation.

  Notes

  The ancillary directory which stores larger information such as trajectories should be of the form:

      |--- data_object.json
      |--- data_directory
           |--- coordinate_file_name.pdb
           |--- trajectory_file_name.dcd
           |--- statistics_file_name.csv

  `coordinate_file_name`

    The name of a coordinate file which encodes the toplogy information of the system.

    Type

      str

  `trajectory_file_name`

    The name of a .dcd trajectory file containing configurations generated by the simulation.

    Type

      str

  `statistics_file_name`

    The name of a StatisticsArray csv file, containing statistics generated by the simulation.

    Type

      str

  `statistical_inefficiency`

    The statistical inefficiency of the collected data.

    Type

      float

  `total_number_of_molecules`

    The total number of molecules in the system.

    Type

      int

  `__init__`()

    Constructs a new StoredSimulationData object

  Methods

  `__init__`() | Constructs a new StoredSimulationData object
  `can_merge`(other_data) | Checks whether this piece of data stores the same amount of compatible information (or more) than another piece of stored data, and hence whether the two can be merged together.
  `merge`(stored_data_1, stored_data_2) | Collapse two pieces of compatible stored data into one, by only retaining the data with the longest autocorrelation time.

  classmethod `merge`(stored_data_1, stored_data_2)

    Collapse two pieces of compatible stored data into one, by only retaining the data with the longest autocorrelation time.

    Parameters

      - stored_data_1 (StoredSimulationData) – The first piece of stored data.

      - stored_data_2 (StoredSimulationData) – The second piece of stored data.

    Returns

      The merged stored data.

    Return type

      StoredSimulationData

  `can_merge`(other_data)

    Checks whether this piece of data stores the same amount of compatible information (or more) than another piece of stored data, and hence whether the two can be merged together.

    Parameters

      other_data (BaseStoredData) – The other stored data to compare against.

    Returns

      Returns True if this piece of data stores the same amount of information or more than another piece of data, or false if it contains less or incompatible data.

    Return type

      bool